Bug 171208 - [RHEL3] gnome-terminal doesn't save its geometry in the session
Summary: [RHEL3] gnome-terminal doesn't save its geometry in the session
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gnome-terminal (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Keywords: Desktop
Depends On:
Blocks: 170417
TreeView+ depends on / blocked
 
Reported: 2005-10-19 14:29 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 18:52:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gnome-terminal-save-geometry.patch (1.30 KB, patch)
2005-10-19 14:29 UTC, Bastien Nocera
no flags Details | Diff

Description Bastien Nocera 2005-10-19 14:29:29 UTC
1. Launch gnome-terminal, change the window size
2. Launch gnome-session-save
3. The RestartCommand in the ~/.gnome2/session doesn't include the geometry
(meaning that the window won't be restored to its proper size on login).

The upstream patch is at:
http://cvs.gnome.org/viewcvs/gnome-terminal/src/terminal.c?r1=1.72&r2=1.73

Backported patch below.

Comment 1 Bastien Nocera 2005-10-19 14:29:29 UTC
Created attachment 120166 [details]
gnome-terminal-save-geometry.patch

Comment 8 RHEL Product and Program Management 2007-10-19 18:52:30 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.